org.apache.tinkerpop.gremlin.util.function

## Class Lambda.UnaryLambda<A>

- java.lang.Object
- - org.apache.tinkerpop.gremlin.util.function.Lambda.AbstractLambda
  - - org.apache.tinkerpop.gremlin.util.function.Lambda.OneArgLambda<A,A>
    - - org.apache.tinkerpop.gremlin.util.function.Lambda.UnaryLambda<A>

- All Implemented Interfaces:
    Serializable, Consumer<A>, Function<A,A>, Predicate<A>, UnaryOperator<A>, Lambda
  Enclosing interface:
    Lambda

      public static class Lambda.UnaryLambda<A>
      extends Lambda.OneArgLambda<A,A>
      implements UnaryOperator<A>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.util.function.Lambda

      `Lambda.AbstractLambda, Lambda.BinaryLambda<A>, Lambda.OneArgLambda<A,B>, Lambda.TwoArgLambda<A,B,C>, Lambda.UnaryLambda<A>, Lambda.UnknownArgLambda, Lambda.ZeroArgLambda<A>`

  - ### Field Summary

    - ### Fields inherited from interface org.apache.tinkerpop.gremlin.util.function.Lambda

      `DEFAULT_LAMBDA_LANGUAGE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnaryLambda(String lambdaSource, String lambdaLanguage)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.util.function.Lambda.OneArgLambda

      `accept, apply, test`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.util.function.Lambda.AbstractLambda

      `equals, getLambdaArguments, getLambdaLanguage, getLambdaScript, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.function.UnaryOperator

      `identity`

    - ### Methods inherited from interface java.util.function.Function

      `andThen, apply, compose`

    - ### Methods inherited from interface java.util.function.Predicate

      `and, isEqual, negate, or`

    - ### Methods inherited from interface java.util.function.Consumer

      `andThen`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.util.function.Lambda

      `biFunction, biFunction, binaryOperator, comparator, comparator, consumer, consumer, function, function, predicate, predicate, supplier, supplier, unaryOperator, unaryOperator`

- - ### Constructor Detail

    - #### UnaryLambda

          public UnaryLambda(String lambdaSource,
                             String lambdaLanguage)

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.